Installation problem with chi_base

Questions regarding compilation of VASP on various platforms.

Moderators: Moderator, Global Moderator

Installation problem with chi_base

Postby ranez » Tue Jun 23, 2015 11:04 pm

Hello all

I compiled the VASP 5.3.3 with openmpi 1.2.9, ifort 9.1.052 and mkl 10.0.5.025 without problems. Now , I tried to compile the VASP 5.3.5 and got this message:

mpif90 -heap-arrays -I/opt/intel/mkl/10.0.5.025/include/fftw -FR -lowercase -O2 -ip -c chi_base.f90
fortcom: Error: chi_base.f90, line 2606: Error in opening the compiled module file. Check INCLUDE paths. [ISO_C_BINDING]
USE iso_c_binding
--------^
fortcom: Error: chi_base.f90, line 2827: Error in opening the compiled module file. Check INCLUDE paths. [ISO_C_BINDING]
USE iso_c_binding
--------^
compilation aborted for chi_base.f90 (code 1)
make: *** [chi_base.o] Error 1

Any idea?

Thank in advance
ranez
Newbie
Newbie
 
Posts: 1
Joined: Wed Aug 06, 2008 10:13 pm

Re: Installation problem with chi_base

Postby admin » Wed Jun 24, 2015 2:37 pm

VASP 5.3.5 uses the intrinsic module ISO_C_BINDING .
To compile the code you need newer compiler.
When using intel/composer_xe_2011_sp1.11.339
the error is not reproduced.
admin
Administrator
Administrator
 
Posts: 2917
Joined: Tue Aug 03, 2004 8:18 am

Re: Installation problem with chi_base

Postby jcconesa » Tue Aug 18, 2015 7:34 pm

The problem might be related to the fact that chi_base.F contains (twice) the instruction
USE mpi
instead of
USE mpimy
that is present in all other .F files. I suspect this is a bug
jcconesa
Newbie
Newbie
 
Posts: 28
Joined: Mon Jul 03, 2006 10:48 am
Location: Madrid


Return to Installation problems

Who is online

Users browsing this forum: No registered users and 3 guests